% clear MATLAB
clc; clear all; close all;

% load apm libraries
addpath('apm');

% server
s = 'http://xps.apmonitor.com';

% application name
a = 'nlp1';

% clear server
apm(s,a,'clear all');

% load model
apm_load(s,a,'nlp1.apm');

% solve
apm(s,a,'solve');

% retrieve solution
y = apm_sol(s,a);
solution = y.x;

% open solution in web browser
apm_web_var(s,a);
